$(function() {
    hhJobsListDiv = $("#hh-jobs-list");
    $.ajax({
         url: 'http://hh.letodata.ru',
         dataType: 'jsonp',
         success: function(data) {
            var template = doT.template($("#jobs-list-template").html());
            var templateCities = doT.template($("#jobs-city-list-template").html());
            var cities = [];
            $("#hh-jobs-list").html(template(data));
            for (regionId in data.byRegion) {
                cities.push({id: regionId, name: data.byRegion[regionId].name});
            }
            $("#hh-select-city").html(templateCities(cities.sort(byName)));
         }
    });
    $("dt.vacancy",hhJobsListDiv).live("click",function(){
        if (!$(this).data("loaded")) {
            var vacancyDiv = $(this),
                hhId = $(this).data('hhid'),
                template = doT.template($("#jobs-description-template").html()),
                dd = $(this).next("dd");
            $.ajax({
                 url: 'http://api.hh.ru/1/json/vacancy/' + hhId + '/',
                 dataType: 'jsonp',
                 success: function(data){
                    dd.html(template(data));
                    vacancyDiv.data("loaded",true);
                    vacancyDiv.next("dd").slideToggle("slow");
                 }
            });
        } else {
            $(this).next("dd").slideToggle("slow");
        }
    });
    $("#hh-select-city select").live("change",function(){
        hhShowJobsByRegion($(this).val());
    });
});

function byName(a,b) {
    if (a.name < b.name)
        return -1;
    if (a.name > b.name)
        return 1;
    return 0;
}

function hhShowJobsByRegion(regionCode) {
    if (regionCode == -1) {
        $("div.hh-region",hhJobsListDiv).removeClass("hh-region-hidden").show();
    } else {
        $("div.hh-region",hhJobsListDiv).addClass("hh-region-hidden").hide();
        $("div.hh-region-code-" + regionCode, hhJobsListDiv).show().removeClass("hh-region-hidden");
    }
    $("dt.hh-field",hhJobsListDiv).each(function(){
        var count = $("div.hh-region",$(this).next("dd").children("dl.accordion")).not(".hh-region-hidden").length;
        $(this).toggle(count ? true : false);
        $("sup",this).text(count);
    });
}